## org.apache.xerces.util
Class NamespaceSupport.Prefixes

    java.lang.Object
      |
      +--org.apache.xerces.util.NamespaceSupport.Prefixes

All Implemented Interfaces:
  java.util.Enumeration

Enclosing class:
  NamespaceSupport

protected final class NamespaceSupport.Prefixes
extends java.lang.Object
implements java.util.Enumeration

Constructor Summary
`NamespaceSupport.Prefixes(java.lang.String[] prefixes, int size)` Constructor for Prefixes.

Method Summary
`boolean` `hasMoreElements()`
`java.lang.Object` `nextElement()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NamespaceSupport.Prefixes

    public NamespaceSupport.Prefixes(java.lang.String[] prefixes,
                                     int size)

  Constructor for Prefixes.

Method Detail

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    `hasMoreElements` in interface `java.util.Enumeration`
  See Also:
    `Enumeration.hasMoreElements()`

### nextElement

    public java.lang.Object nextElement()

  Specified by:
    `nextElement` in interface `java.util.Enumeration`
  See Also:
    `Enumeration.nextElement()`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.